Subject: Re: [PATCH net-next V6 2/2] net/mlx4_en: Use affinity hint

From: Amir Vadai <[email-masked]>
Date: Mon, 2 Jun 2014 17:08:20 +0300

On 6/2/2014 8:13 AM, Eric Dumazet wrote:
> On Sun, 2014-06-01 at 21:56 -0700, David Miller wrote:
>
>> Indeed you have to provide a dummy version for a non-SMP build etc.
>>
>> I'm reverting.
>>
>
> Hi David. I think your revert took one wrong commit.
>
>
> # git show ee39facbf82e73e468c504d2b40e83e2d223c28c | diffstat -p1 -w70
>   drivers/net/ethernet/micrel/ks8851.c |   50 ++++++++++---------
>   include/linux/cpumask.h              |    2
>   lib/cpumask.c                        |   64 -------------------------
>   3 files changed, 28 insertions(+), 88 deletions(-)
>
>
>

Hi,

Yeh, Eric is right and it seems that 2a82e40 "net: ks8851: Don't use 
regulator_get_optional()" was reverted by mistake instead of 70a640d: 
"net/mlx4_en: Use affinity hint"

I'm working on a fixed version of the affinity patches - this time I 
will double check the CONFIG_SMP/CONFIG_CPUMASK_OFFSTACK combinations.

I'm preparing a public git with Mellanox updates, so that Mellanox 
drivers patches will pass 0-DAY kernel build testing, before landing in 
net-next.

Amir